src/main/java/mx/gob/tfja/sjl/mb/assignGuardMB.java
package mx.gob.tfja.sjl.mb;

import mx.gob.tfja.sjl.util.SessionUtils;
import net.sourceforge.jtds.jdbc.JtdsConnection;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpSession;
import javax.sql.DataSource;
import java.io.FileInputStream;
import java.io.IOException;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;
import java.text.SimpleDateFormat;
import java.util.*;

import mx.gob.tfja.sjl.data.CreateDataSource;
import mx.gob.tfja.sjl.data.SqlDataSource;
import org.springframework.jdbc.core.JdbcTemplate;
//import org.springframework.jdbc.core.RowMapper;

@ManagedBean(name = "assignGuardMB")
@ViewScoped
public class assignGuardMB {

    private JtdsConnection cn,cnRegion;
    private String regionDescription;
    private String region;
    private String usrMag;
    private String usrSrio;
    private String usrAct;
    private String usrArc;
    private String date1;
    private String date2;


    public String getDate1() {
        return date1;
    }

    public void setDate1(String date1) {
        this.date1 = date1;
    }

    public String getDate2() {
        return date2;
    }

    public void setDate2(String date2) {
        this.date2 = date2;
    }



    public String getUsrSrio() {
        return usrSrio;
    }

    public void setUsrSrio(String usrSrio) {
        this.usrSrio = usrSrio;
    }

    public String getUsrAct() {
        return usrAct;
    }

    public void setUsrAct(String usrAct) {
        this.usrAct = usrAct;
    }

    public String getUsrArc() {
        return usrArc;
    }

    public void setUsrArc(String usrArc) {
        this.usrArc = usrArc;
    }

    public String getUsrOfp() {
        return usrOfp;
    }

    public void setUsrOfp(String usrOfp) {
        this.usrOfp = usrOfp;
    }

    private String usrOfp;

    private String pass;
    private String base;
    //private static JtdsConnection cnRegion;

    public String getBase() {
        return base;
    }

    public void setBase(String base) {
        this.base = base;
    }



    public String getusrMag() {
        return usrMag;
    }

    public void setusrMag(String usrMag) {
        this.usrMag = usrMag;
    }

    public String getPass() {
        return pass;
    }

    public void setPass(String pass) {
        this.pass = pass;
    }

    public List<String> getUsersList() {
        return usersList;
    }

    public void setUsersList(List<String> usersList) {
        this.usersList = usersList;
    }

    private List<String> usersList;


    //public RegDemMB() {
//        usersList = new HashMap<String, String>();
    //  }

    //public String getRegionDescription() {
    //  return regionDescription;
    //}
    public void setRegionDescription(String regionDescription) {
        this.regionDescription = regionDescription;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }


    @PostConstruct
    public void init() {
        HttpSession session = SessionUtils.getSession();
        //if (session.getAttribute("username") != null && session.getAttribute("username")!= "") {
        if (1 == 1) {
            cnRegion = (JtdsConnection) session.getAttribute("regConnection");

            //System.out.println("initialCn PostConstruct: " + initialCn);
            getUsers();
        }
        else{
            return;
        }

    }


    public void getUsers() {
        try {
            usersList= new ArrayList<>();

            //if (cnRegion != null) {
            if (1==1) {
                System.out.println("Conexión regional Lista !!!");
                Statement stm = cnRegion.createStatement();
                System.out.println("stm: "+stm);
                ResultSet rst = stm.executeQuery("Select cve_usuario, nombre, ap_paterno, ap_materno, RTRIM(nombre) + ' ' +  RTRIM(ap_paterno) + ' ' + RTRIM(ap_materno) + '|' + cve_usuario   As USER_NOM\n" +
                        " FROM ADMM_USUARIOS");
                //ResultSet rst = stm.executeQuery("Select RTRIM(descripcion) from CLAC_SALAS");

                while (rst.next()) {
                    usersList.add( rst.getString(5));
                }
            } else {
                System.out.println("Desconectado");
            }

        } catch (Exception e) {
            System.out.println(e);
        }
        System.out.println("usersList: "+usersList.size());
    }

    //***************************************************************************************************************

    public void ejecutaPeriodGuard(){
        try {

            //String fecIniVac;
            //String fecFinVac;

            Statement stm = cnRegion.createStatement();
            System.out.println("Antes de ejecutar guardias");
            System.out.println("Fecha de Inicio de guardia" + date1 );
            System.out.println("Fecha de Inicio de guardia" + date2 );

            String myDatePattern1 = "dd/MM/yyyy";

            SimpleDateFormat df = new SimpleDateFormat( myDatePattern1 );
            System.out.println( "Fecha de Inicio: " + date1 );
            System.out.println( "Fecha de Fin: " + date2 );

            //String sDate1="31/12/1998";
            Date fecIniVac = new SimpleDateFormat("dd/MM/yyyy").parse(date1);
            Date fecFinVac = new SimpleDateFormat("dd/MM/yyyy").parse(date2);

            //SimpleDateFormat.parse

            //ResultSet rst = stm.executeQuery("exe sp_guardias_admon_nac '" + usrMag + "','" + usrSrio + "','" + usrAct + "','" + usrArc + "','" + fecIniVac + "','" + fecFinVac + "'" );
        }
        catch(Exception e){
              e.getMessage();
              e.getCause();
        }
    }



    public String redirectionTFJA(int xPage){
        //System.out.println("Por redireccionar");
        if (xPage == 0) {
            return "menuCentral";
        }
        if (xPage == 1) {
            return "changePass";
        }
        if (xPage == 2) {
            return "startCounter";
        }
        return "startCounter";
    }


}

src/main/webapp/content/projectbase/PLANTILLA.xhtml
<ui:composition
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"

        xmlns:p="http://primefaces.org/ui"
        xmlns:x="http://java.sun.com/jsf/html"
        xmlns:f="http://xmlns.jcp.org/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
>
    <!--xmlns:p="http://java.sun.com/jsf/html"-->

    <style>
        div[id="form:growl_container"] > div {
            background-color: red !important;
        }
        div[id="form:growl_container"] > div{
            background-color: green !important;
        }
    </style>
    <h:form id="form">
        <p:growl id="growl" showDetail="true" sticky="true"  globalOnly="true"/>
        <p:panel id="pnlFields">
            <p:panelGrid>

                <!--   Combo Base de Datos -->


                <p:row>
                    <p:column colspan="2">
                        <h:outputLabel value="INGRESAR AL MÓDULO DE CAMBIO DE CONTRASEÑAS" />
                    </p:column>
                </p:row>

                <f:facet name="footer">
                    <p:row>
                        <p:column colspan="2">
                            <!-- <p:commandButton value="CAMBIAR CONTRASEÑA" update="growl" action="manChangePass.xhtml"/> -->
                            <!--<p:commandButton value="CAMBIAR CONTRASEÑA" update="growl" outcome="manChangePass"/>-->
                            <p:button outcome="manChangePass" value="CAMBIAR CONTRASEÑA" icon="pi pi-star" style="margin-right:20px;">
                                <f:param name="option" value="1" />
                            </p:button>
                        </p:column>
                    </p:row>

                </f:facet>
            </p:panelGrid>

        </p:panel>

    </h:form>
    <p:outputLabel value="Ver. 0.7 ALFA" />
</ui:composition>

src/main/webapp/content/projectbase/changePass.xhtml
<ui:composition
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"

        xmlns:p="http://primefaces.org/ui"
        xmlns:x="http://java.sun.com/jsf/html"
        xmlns:f="http://xmlns.jcp.org/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
        template="../../resources/templates/tfjadefault/template.xhtml">


    <style>
        div[id="form:growl_container"] > div {
            background-color: red !important;
        }
        div[id="form:growl_container"] > div{
            background-color: green !important;
        }
    </style>
    <ui:define name="content">

        <h:form id="form">
            <p:growl id="growl" showDetail="true" sticky="true"  globalOnly="true"/>
            <p:panel id="pnlFields">
                <p:panelGrid>

                    <div align="center" style="font-size: xx-large;color:#0D47A1">
                        Módulo de Administración Nacional
                    </div>
                    <p:confirmDialog global="true" showEffect="fade" hideEffect="fade" header="¿ El inicio de sesión no existe, desea que se genere ?"
                                     widgetVar="cdLogin">
                        <p:commandButton value="Si" onclick="rmssLogin()"/>
                        <p:commandButton value="No" onclick="PF('cdLogin').hide();"/>
                    </p:confirmDialog>

                    <p:confirmDialog global="true" showEffect="fade" hideEffect="fade" header="IMPORTANTE: ¿ El inicio de sesión y usuario no existe, desea que se genere ?"
                                     widgetVar="cdLoginPass">
                        <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" onclick="rmssLoginPass()"/>
                        <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close"
                                         onclick="PF('cdLoginPass').hide();"/>
                    </p:confirmDialog>


                    <p:confirmDialog global="true" showEffect="fade" hideEffect="fade" header="IMPORTANTE: ¿ El usuario no existe, desea que se genere ?"
                                     widgetVar="cdUser">
                        <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" onclick="rmssUser()"/>
                        <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close"
                                         onclick="PF('cdUser').hide();"/>
                    </p:confirmDialog>




<!--<p:remoteCommand action="#{searchMB.confirmUserCreation}" autoRun="false" id="remoteComandSaveId" name="rms" onstart="alert('start');" onerror="alert('error');" onsuccess="alert('success');"/> -->

                    <p:remoteCommand action="#{searchMB.createUserChangePass}" autoRun="false" id="rmSaveIdUser" name="rmssUser" update="@form"/>

                    <p:remoteCommand action="#{searchMB.createLoginChangePass}" autoRun="false" id="rmSaveIdLogin" name="rmssLogin" update="@form"/>

                    <p:remoteCommand action="#{searchMB.createLoginUserChangePass}" autoRun="false" id="rmSaveIdLoginPass" name="rmssLoginPass" update="@form"/>


                    <label id="j_idt32" class="ui-outputlabel ui-widget" style="font-weight: bold; font-size: 18px;">Cambio de Contraseñas SICSEJ</label>

                    <!--
                    <p:row>
                        <p:column colspan="2">
                            <h:outputLabel value="MÓDULO DE ADMINISTRACIÓN NACIONAL" />
                        </p:column>
                    </p:row>
                    -->

                    <!--   Combo Base de Datos -->

                    <!--
                    <p:row>
                        <p:column colspan="2">
                            <p:selectOneMenu value="#{loginMB.bd}" >
                                 <f:selectItem itemLabel="Seleccione"/>
                                <f:selectItems value="#{loginMB.bd}"/>
                                <h:outputText value="#{loginMB.bd}"

                            </p:selectOneMenu>
                        </p:column>
                    </p:row>
                    -->

                    <p:row>
                        <p:column>
                            <h:outputText value="Usuario SICSEJ: " />

                        </p:column>
                        <p:column>
                            <p:inputText id="usrSICSEJ" value="#{searchMB.usrSICSEJ}" required="true" />

                        </p:column>
                    </p:row>
                    <p:row>
                        <p:column>

                            <h:outputText value="Contraseña Nueva: " />

                        </p:column>
                        <p:column>
                            <p:password id="passUsrNew" value="#{searchMB.passUsrNew}" />

                        </p:column>
                    </p:row>


                    <!--
                    <h:outputText value="Basic: " />
                    <p:password value="#{utilisateur.password}" redisplay="true" />
                    -->

                    <f:facet name="footer">
                        <p:row>
                            <p:column colspan="2">
                                <p:commandButton value="CAMBIAR CONTRASEÑA" update="growl" action="#{searchMB.cnSearch}"/>
                            </p:column>
                        </p:row>

                    </f:facet>
                </p:panelGrid>

            </p:panel>

        </h:form>




        <p:outputLabel value="Ver. 0.7 ALFA" />
    </ui:define>




</ui:composition>

src/main/webapp/content/projectbase/projectbase.xhtml
<ui:composition
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        template="../../resources/templates/tfjadefault/template.xhtml"
>

    <ui:define name="titlepage">#{etq['projectbase.home.titlenavigation']}</ui:define>
    <ui:define name="titleProcess">
        <p:outputLabel value="Cambio de Contraseñas SICSEJ V 1.0.0" style="font-weight: bold; font-size: 18px;"/>
    </ui:define>

    <ui:define name="content">
        <ui:include src="#{beanProcessComponent.actualProcess.url}"/>
    </ui:define>
</ui:composition>

src/main/webapp/content/projectbase/searchExp.xhtml
<ui:composition
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"

        xmlns:p="http://primefaces.org/ui"
        xmlns:x="http://java.sun.com/jsf/html"
        xmlns:f="http://xmlns.jcp.org/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
>
    <!--xmlns:p="http://java.sun.com/jsf/html"-->


    <h:form>


        <h:panelGrid columns="2" cellpadding="5">

            <h:outputLabel for="numExp" value="Expediente a buscar:" />
            <p:inputText id="numExp" value="#{SearchExp.numExp}" required="true" label="expediente" />



            <f:facet name="footer">
                <x:commandButton value="Login" update="growl" action="#{loginMB.autentica}"
                />
            </f:facet>
        </h:panelGrid>



    </h:form>
    <p:outputLabel value="Form1" />
</ui:composition>

src/main/webapp/content/projectbase/usersPermissions.xhtml
<ui:composition
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"

        xmlns:p="http://primefaces.org/ui"
        xmlns:x="http://java.sun.com/jsf/html"
        xmlns:f="http://xmlns.jcp.org/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
        template="../../resources/templates/tfjadefault/template.xhtml">


    <style>
        div[id="form:growl_container"] > div {
            background-color: red !important;
        }

        div[id="form:growl_container"] > div {
            background-color: green !important;
        }

        .ui-datalist {
            width: 300px;
            margin-bottom: 20px;
        }

        .ui-datalist-item {
            padding: 3px;
        }

        .paginated .ui-datalist-data {
            padding-left: 20px;
        }

        .ui-datalist ul {
            padding: 0px 10px 0 20px;
            margin: 5px 0;
        }

        .ui-datalist {
            margin-bottom: 10px
        }

        .ui-noborder tr.ui-widget-content {
            background: none;
        }

        .smcht > div {
            margin: 0 0 10px 0 !important;
        }

        .smcht > div > div {
            min-width: 125px;
        }

        .smcht > .ui-g {
            margin: 0 0 10px 0 !important;
        }
    </style>
    <ui:define name="content">

        <h:form id="form">
            <p:growl id="growl" showDetail="true" sticky="true" globalOnly="true"/>
            <p:dataList value="#{usersPermissionsMB.users}" var="u" type="unordered" itemType="none" paginator="true"
                        rows="10" styleClass="paginated">
                <f:facet name="header">
                    Usuarios
                </f:facet>
                <p:commandLink update=":form:userDetail" oncomplete="PF('userDialog').show()" title="Permisos"
                               styleClass="ui-icon pi pi-search"
                               style="float:left;margin-right:10px;margin-top:3px; color:#333333"
                               action="#{usersPermissionsMB.onUserSelect}">
                    <f:setPropertyActionListener value="#{u}" target="#{usersPermissionsMB.user}"/>
                    <h:outputText styleClass="pi pi-search" style="margin:0 auto;"
                                  value="#{u.firstName} #{u.lastName} #{u.surname}"/>
                </p:commandLink>
                <h:outputText value="#{u.key}" style="display:inline-block"/>
                <div style="clear: both"></div>
            </p:dataList>

            <p:dialog header="Información del Usuario" widgetVar="userDialog" modal="true" showEffect="blind"
                      hideEffect="explode" resizable="false">
                <p:outputPanel id="userDetail">
                    <p:tabView>
                        <p:tab title="Modulos">
                            <p:panelGrid rendered="#{usersPermissionsMB.user ne null}">
                                <f:facet name="header">
                                    <h:outputText value="#{usersPermissionsMB.user.key}"/>
                                </f:facet>
                                <p:row>
                                    <p:column>
                                        <h:outputText value="Nombre:"/>
                                    </p:column>
                                    <p:column>
                                        <h:outputText
                                                value="#{usersPermissionsMB.user.firstName} #{usersPermissionsMB.user.lastName} #{usersPermissionsMB.user.surname}"/>
                                    </p:column>
                                    <p:column>
                                        <p:commandButton value="Guardar cambios" update=":form:userDetail :form:growl"
                                                         actionListener="#{usersPermissionsMB.saveChanges}"/>
                                    </p:column>
                                </p:row>
                                <p:row>
                                    <p:column colspan="3">
                                        <p:selectManyCheckbox id="grid3" value="#{usersPermissionsMB.modules}"
                                                              layout="responsive" columns="10" styleClass="smcht">
                                            <f:selectItems value="#{usersPermissionsMB.allModules}" var="m"
                                                           itemLabel="#{m}"
                                                           itemValue="#{m}"/>
                                        </p:selectManyCheckbox>
                                    </p:column>

                                </p:row>
                            </p:panelGrid>
                        </p:tab>
                        <p:tab title="Datos personales">
                            <p:panelGrid  rendered="#{usersPermissionsMB.user ne null}">
                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Nombre" for="name"/>
                                        <p:inputText id="name" value="#{usersPermissionsMB.user.firstName}"/>
                                    </p:column>
                                    <p:column>
                                        <p:outputLabel value="Apellido Paterno" for="lastname"/>
                                        <p:inputText id="lastname" value="#{usersPermissionsMB.user.lastName}"/>
                                    </p:column>
                                    <p:column>
                                        <p:outputLabel value="Apellido Materno" for="surname"/>
                                        <p:inputText id="surname" value="#{usersPermissionsMB.user.surname}"/>
                                    </p:column>
                                </p:row>
                                <p:row>
                                    <p:column colspan="3">
                                        <p:commandButton actionListener="#{usersPermissionsMB.editUserData}" style="float: right;border: 1px solid white"
                                                         value="Guardar cambios" icon="ui-icon ui-icon-check" iconPos="right"
                                                         update=":form:userDetail :form:growl"/>
                                    </p:column>
                                </p:row>
                            </p:panelGrid>
                        </p:tab>
                    </p:tabView>
                </p:outputPanel>
            </p:dialog>
        </h:form>


        <p:outputLabel value="Ver. 0.7 ALFA"/>
    </ui:define>


</ui:composition>

src/main/webapp/content/projectbase/usersSalas.xhtml
<ui:composition
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"

        xmlns:p="http://primefaces.org/ui"
        xmlns:x="http://java.sun.com/jsf/html"
        xmlns:f="http://xmlns.jcp.org/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
        template="../../resources/templates/tfjadefault/template.xhtml">


    <style>
        div[id="form:growl_container"] > div {
            background-color: red !important;
        }

        div[id="form:growl_container"] > div {
            background-color: green !important;
        }

        .ui-datalist {
            width: 300px;
            margin-bottom: 20px;
        }

        .ui-datalist-item {
            padding: 3px;
        }

        .paginated .ui-datalist-data {
            padding-left: 20px;
        }

        .ui-datalist ul {
            padding: 0px 10px 0 20px;
            margin: 5px 0;
        }

        .ui-datalist {
            margin-bottom: 10px
        }

        .ui-noborder tr.ui-widget-content {
            background: none;
        }

        .smcht > div {
            margin: 0 0 10px 0 !important;
        }

        .smcht > div > div {
            min-width: 125px;
        }

        .smcht > .ui-g {
            margin: 0 0 10px 0 !important;
        }
    </style>
    <ui:define name="content">

        <h:form id="form">
            <p:growl id="growl" showDetail="true" sticky="true" globalOnly="true"/>


            <p:dataList value="#{usersSalasMB.users}" var="u" type="unordered" itemType="none" paginator="true"
                        rows="10" styleClass="paginated">
                <f:facet name="header">
                    Usuarios
                </f:facet>
                <p:commandLink update=":form:userDetail" oncomplete="PF('userDialog').show()" title="Permisos"
                               styleClass="ui-icon pi pi-search"
                               style="float:left;margin-right:10px;margin-top:3px; color:#333333"
                               action="#{usersSalasMB.onUserSelect}">
                    <f:setPropertyActionListener value="#{u}" target="#{usersSalasMB.user}"/>
                    <h:outputText styleClass="pi pi-search" style="margin:0 auto;"
                                  value="#{u.firstName} #{u.lastName} #{u.surname}"/>
                </p:commandLink>
                <h:outputText value="#{u.key}" style="display:inline-block"/>
                <div style="clear: both"></div>
            </p:dataList>


            <p:dialog header="Información del Usuario" widgetVar="userDialog" modal="true" showEffect="blind"
                      hideEffect="explode" resizable="false">
                <p:outputPanel id="userDetail">
                    <!-- columnClasses="label,value"-->
                    <p:dataTable id="userGates" var="g" value="#{usersSalasMB.userSalas}" editable="true"
                                 style="margin-bottom:20px"
                                 paginator="true" rows="10">
                        <f:facet name="header">
                            Salas
                        </f:facet>

                        <p:ajax event="rowEdit" listener="#{usersSalasMB.onRowEdit}" update="userGates"/>
                        <p:column headerText="Clave Usuario">
                            #{g.cveUser}
                        </p:column>
                        <p:column headerText="Clave Region">
                            <p:cellEditor>
                                <f:facet name="output"><h:outputText value="#{g.cveRegion}" style="text-align: center"/></f:facet>
                                <f:facet name="input"><p:spinner id="keyRegion" value="#{g.cveRegion}"
                                                                 style="width:100%;text-align: center"/></f:facet>
                            </p:cellEditor>
                        </p:column>
                        <p:column headerText="Clave Sala">
                            <p:cellEditor>
                                <f:facet name="output"><h:outputText value="#{g.cveSala}"
                                                                     style="text-align: center"/></f:facet>
                                <f:facet name="input"><p:spinner id="keyGate" value="#{g.cveSala}"
                                                                 style="width:100%;text-align: center"/></f:facet>
                            </p:cellEditor>
                        </p:column>
                        <p:column headerText="Clave Magistrado">
                            <p:cellEditor>
                                <f:facet name="output"><h:outputText value="#{g.cveMag}"
                                                                     style="text-align: center"/></f:facet>
                                <f:facet name="input"><p:spinner id="keyMag" value="#{g.cveMag}"
                                                                 style="width:100%;text-align: center"/></f:facet>
                            </p:cellEditor>
                        </p:column>
                        <p:column headerText="Clave Secretario">
                            <p:cellEditor>
                                <f:facet name="output"><h:outputText value="#{g.cveSrio}"
                                                                     style="text-align: center"/></f:facet>
                                <f:facet name="input"><p:spinner id="keySec" value="#{g.cveSrio}"
                                                                 style="width:100%;text-align: center"/></f:facet>
                            </p:cellEditor>
                        </p:column>
                        <p:column style="width:35px">
                            <p:rowEditor/>
                        </p:column>
                        <f:facet name="footer">
                            <p:commandButton actionListener="#{usersSalasMB.createNewGate(true)}" value="Nuevo registro"
                                             icon="ui-icon ui-icon-plus" iconPos="right" style="float: left;border: 1px solid white"
                                             update=":form:userDetail"/>
                            <p:commandButton actionListener="#{usersSalasMB.saveAll}" value="Guardar todo"
                                             icon="ui-icon ui-icon-check" iconPos="right" style="float: right;border: 1px solid white"
                                             update=":form:userDetail :form:growl"/>
                            <div style="clear: both"></div>
                        </f:facet>
                    </p:dataTable>
                    <br/>
                    <p:panelGrid rendered="#{usersSalasMB.newGate ne null }">
                        <p:row>
                            <p:column>
                                <p:outputLabel value="Clave usuario"/>
                                #{usersSalasMB.user.key}
                            </p:column>
                            <p:column>
                                <p:outputLabel value="Clave Region" for="inputRegion"/>
                                <p:spinner id="inputRegion" value="#{usersSalasMB.newGate.cveRegion}"
                                           style="width:100%;text-align: center"/>
                            </p:column>
                            <p:column>
                                <p:outputLabel value="Clave Sala" for="inputGate"/>
                                <p:spinner id="inputGate" value="#{usersSalasMB.newGate.cveSala}"
                                           style="width:100%;text-align: center"/>
                            </p:column>
                            <p:column>
                                <p:outputLabel value="Clave Magistrado" for="inputMagister"/>
                                <p:spinner id="inputMagister" value="#{usersSalasMB.newGate.cveMag}"
                                           style="width:100%;text-align: center"/>
                            </p:column>
                            <p:column>
                                <p:outputLabel value="Clave Secretario" for="inputSecretary"/>
                                <p:spinner id="inputSecretary" value="#{usersSalasMB.newGate.cveSrio}"
                                           style="width:100%;text-align: center"/>
                            </p:column>
                        </p:row>
                        <p:row>
                            <p:column colspan="5">
                                <p:commandButton actionListener="#{usersSalasMB.saveGate}" style="float: right;border: 1px solid white"
                                                 value="Agregar" icon="ui-icon ui-icon-check" iconPos="right"
                                                 update=":form:userDetail :form:growl"/>

                            </p:column>
                        </p:row>
                    </p:panelGrid>
                </p:outputPanel>
            </p:dialog>


        </h:form>


        <p:outputLabel value="Ver. 0.7 ALFA"/>
    </ui:define>


</ui:composition>